%ammonite_update_gui_from_S
% Updates the ammonite.m gui based upon parameters contained within data
% structure S held within the gui data of the spherium main gui.

function ammonite_update_gui_from_S
global h H S s

%Get ammonite GUI settings
if isfield( S.SPHERIA,'ammonite' ) == 0
    %Use defaults
    S.SPHERIA.ammonite = ammonite_defaults;
end

%Copy parameters to structure ss for brevity
ss = S.SPHERIA.ammonite;

%Spiral types
set( s.POPUPMENUspiraltype, 'string', ss.spiral_types );
set( s.POPUPMENUspiraltype,'value',...
    find( strcmp( ss.spiral_type, ss.spiral_types ) == 1 ));
set( s.EDITspiralturns,'string',num2str(ss.spiral_turns) );
set( s.EDITpointsperturn,'string',num2str(ss.points_per_turn) );
set( s.EDITcrosssectionratio,'string',num2str(ss.cross_section_ratio) );
set( s.EDIThelicity,'string',num2str(ss.helicity) );

%Plot spiral function in a separate window
set( s.CHECKplotspiral,'value',ss.plot_spiral );

%Add ridges along ammonite (bumps on elliptical cross section)
set( s.CHECKaddridges,'value',ss.add_ridges ) ;
set( s.EDITridgefrequency,'string',num2str(ss.ridge_frequency) ) ;
set( s.EDITbumpamplitude,'string',num2str(ss.bump_amplitude) ) ;

%Add bumps along spiral
set( s.CHECKaddbumps,'value',ss.add_bumps );
set( s.EDITspiralbumpamplitude,'string',...
    num2str(ss.spiral_bump_amplitude) ) ;
set( s.EDITspiralbumpfrequency,'string',num2str(ss.spiral_bump_frequency) ) ;

%Colouring options
set( s.CHECKaddridgestocolour,'value',ss.add_ridges_to_colour ) ;
set( s.CHECKaddbumpstocolour,'value',ss.add_bumps_to_colour ) ;

%End of code