%hydrogenic_orbitals_update_gui_from_S
% Updates the hydrogenic_orbitals.m gui based upon parameters contained within data
% structure S held within the gui data of the spherium main gui.

function hydrogenic_orbitals_update_gui_from_S
global h H S s

%Get hydrogenic_orbitals GUI settings
if isfield( S.SPHERIA,'hydrogenic_orbitals' ) == 0
    %Use defaults
    S.SPHERIA.hydrogenic_orbitals = hydrogenic_orbitals_defaults;
end

%Copy parameters to structure s for brevity
ss = S.SPHERIA.hydrogenic_orbitals;

%Update hydrogenic_orbitals.m GUI
set( s.POPUPMENUquantumnumN, 'string', ss.quantum_number_Ns );
set( s.POPUPMENUquantumnumN,'value',...
    strmatch( num2str(ss.quantum_number_N), ss.quantum_number_Ns, 'exact' ));
set( s.POPUPMENUquantumnumL, 'string', ss.quantum_number_Ls );
set( s.POPUPMENUquantumnumL,'value',...
    strmatch( ss.quantum_number_L, ss.quantum_number_Ls, 'exact' ));
set( s.POPUPMENUquantumnumM, 'string', ss.quantum_number_Ms );
set( s.POPUPMENUquantumnumM,'value',...
    strmatch( num2str(ss.quantum_number_M), ss.quantum_number_Ms, 'exact' ));
set( s.EDITZ,'string',num2str( ss.Z ) );
set( s.EDITA,'string',num2str( ss.A ) );
set( s.EDITenergy,'string',num2str( ss.E_eV ) );
set( s.EDITN,'string',num2str( ss.N ) );

%End of code