%klein_update_gui_from_S
% Updates the klein.m gui based upon parameters contained within data
% structure S held within the gui data of the spherium main gui.

function klein_update_gui_from_S
global h H S s

%Get klein GUI settings
if isfield( S.SPHERIA,'klein' ) == 0
    %Use defaults
    S.SPHERIA.klein = klein_defaults;
end

%Copy parameters to structure s for brevity
ss = S.SPHERIA.klein;

%Update klein.m GUI
set( s.EDITpipeN,'string', num2str( ss.pipe_N ) );
set( s.EDITrotN,'string', num2str( ss.rot_N ) );
set( s.EDITrtb,'string', num2str( ss.rtb ) );
set( s.EDITrb2sp,'string', num2str( ss.rb2sp ) );
set( s.EDIThcb2sp,'string', num2str( ss.hcb2sp ) );

%End of code