%polyspike_update_gui_from_S
% Updates the polyspike.m gui based upon parameters contained within data
% structure S held within the gui data of the spherium main gui.

function polyspike_update_gui_from_S
global h H S s

%Get polyspike GUI settings
if isfield( S.SPHERIA,'polyspike' ) == 0
    %Use defaults
    S.SPHERIA.polyspike = polyspike_defaults;
end

%Copy parameters to structure s for brevity
ss = S.SPHERIA.polyspike;

%Update polyspike.m GUI
set( s.EDITaziM,'string', num2str( ss.M ) );
set( s.EDITelevN,'string', num2str( ss.N ) );
set( s.EDITk,'string', num2str( ss.k ) );
set( s.EDITP,'string', num2str( ss.P ) );

%End of code