%spheria_update_gui_from_S
% Updates the spheria.m gui based upon parameters contained within data
% structure S held within the gui data of the spherium main gui.

function spheria_update_gui_from_S
global h H S s

%Get spheria GUI settings
if isfield( S.SPHERIA,'spheria' ) == 0
    %Use defaults
    S.SPHERIA.spheria = spheria_defaults;
end

%Copy parameters to structure s for brevity
ss = S.SPHERIA.spheria;

%Update spheria.m GUI
set( s.POPUPMENUsphereorsurface, 'string', ss.sphere_or_surfaces );
set( s.POPUPMENUsphereorsurface,'value',...
    strmatch( ss.sphere_or_surface, ss.sphere_or_surfaces, 'exact' ));
set( s.EDITspherefunction,'string',ss.spherefunction );
set( s.EDITN,'string',num2str( ss.N ) );

%End of code