%spherium_update_S_from_gui
% Updates the spherium data structure S based upon current values in the
% GUI.

function spherium_update_S_from_gui
global h H S

%% Outputs %%

%Output image size and resolution in dots per inch
S.output_size = H.output_sizes{ get( h.POPUPMENUoutputsize,'value' ) };
S.output_DPI = str2num( get( h.EDITDPI,'string') );

%%

%% Other GUI controls %%

%Spheria type
S.spheria = S.spherias{ get( h.POPUPMENUspheria,'value') };

%Update status box
S.status = get( h.TEXTstatus,'string' );

%Update version
set( h.TEXTversion,'string',spherium_version );

%%

%% View settings %%

%Camera position
S.campos_x = str2num( get( h.EDITcamposx,'string' ));
S.campos_y = str2num( get( h.EDITcamposy,'string' ));
S.campos_z = str2num( get( h.EDITcamposz,'string' ));

%Camera target
S.camtarget_x = str2num( get( h.EDITcamtargetx,'string' ));
S.camtarget_y = str2num( get( h.EDITcamtargety,'string' ));
S.camtarget_z = str2num( get( h.EDITcamtargetz,'string' ));

%Camera up vector
S.camup_x = str2num( get( h.EDITcamupx,'string' ));
S.camup_y = str2num( get( h.EDITcamupy,'string' ));
S.camup_z = str2num( get( h.EDITcamupz,'string' ));

%Camera view angle
S.camviewangle_deg = str2num( get( h.EDITcamviewangle,'string' ));

%Camera orbit increment
S.camroll_increment_deg = str2num( get( h.EDITcamrollinc,'string' ));

%Camera pan toggle
S.toggle_pan = get( h.TOGGLEpan,'value' );

%Camera caera roll toggle
S.toggle_roll =  get( h.TOGGLEroll,'value' );

%Camera roll about x axis toggle
S.toggle_rollx = get( h.TOGGLErollx,'value' );

%Camera roll about y axis toggle
S.toggle_rolly = get( h.TOGGLErolly,'value' );

%Camera roll about z axis toggle
S.toggle_rollz = get( h.TOGGLErollz,'value' );

%%

%% Surface & Colour settings %%

%Transparency
S.transparency = get( h.CHECKtransparency,'value' );

%Add x,y,z axis to plot
S.add_axis = get( h.CHECKaxis,'value' );

%Add colorbar
S.add_colorbar = get( h.CHECKcolorbar,'value' );

%General colouring settings ...
S.colour_map = H.colour_maps{ get( h.POPUPMENUcolormap,'value' ) };
S.colorfunction = H.colorfunctions{ get( h.POPUPMENUcolorfunction,'value' ) };

%%

%% Lighting settings .... %%

%List of lights
S.current_light = get( h.POPUPMENUselectlight,'value' );

%Lightning model
S.lighting_model = H.lighting_models{ get( h.POPUPMENUlightingmodel,'value') };

%Lighting style
S.light(S.current_light).light_style = H.light_styles{ get( set( h.POPUPMENUlightingstyle,'value' )) };

%Light position edit boxes
S.light(S.current_light).light_range = str2num( get( h.EDITlightrange,'string' ));
S.light(S.current_light).light_azi_deg = str2num( get( h.EDITlightazi,'string' ));
S.light(S.current_light).light_elev_deg = str2num( get( h.EDITlightelev,'string' ));

%3D light mode toggle status
S.light_toggle = get( h.TOGGLElight,'value' );

%Show vectors indicating light sources
S.light_arrow = set( h.CHECKlightarrow,'value' );

%End of code